using LiteNetLib.Utils;

using Syntriax.Engine.Core;

namespace Syntriax.Engine.Network;

internal static class Line2DNetPacker
{
    internal static void Write(NetDataWriter writer, Line2D data)
    {
        Vector2DNetPacker.Write(writer, data.From);
        Vector2DNetPacker.Write(writer, data.To);
    }

    internal static Line2D Read(NetDataReader reader)
    {
        Vector2D from = Vector2DNetPacker.Read(reader);
        Vector2D to = Vector2DNetPacker.Read(reader);

        return new Line2D(from, to);
    }
}
